Subject: Re: [trill] New Version Notification for draft-ietf-trill-irb-05.txt

From: Haoweiguo <[email-masked]>
Date: Fri, 24 Apr 2015 01:55:27 +0000

Hi Folks,
A new version of "TRILL distributed layer 3 gateway" has been posted. Some editorial changes were made.
Your further comments and suggestions are appreciated.

Thanks,
weiguo
________________________________________
From: [email-masked] [[email-masked]]
Sent: Friday, April 24, 2015 9:51
To: Andrew Qu; Liyizhou; Xialiang (Frank); Muhammad Durrani; Haoweiguo; Muhammad Durrani; Xialiang (Frank); Ponkarthick Sivamurugan; Liyizhou; Andrew Qu; Ponkarthick Sivamurugan; Haoweiguo
Subject: New Version Notification for draft-ietf-trill-irb-05.txt

A new version of I-D, draft-ietf-trill-irb-05.txt
has been successfully submitted by Weiguo Hao and posted to the
IETF repository.

Name:           draft-ietf-trill-irb
Revision:       05
Title:          TRILL Distributed Layer 3 Gateway
Document date:  2015-04-23
Group:          trill
Pages:          20
URL:            http://www.ietf.org/internet-drafts/draft-ietf-trill-irb-05.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-trill-irb/
Htmlized:       http://tools.ietf.org/html/draft-ietf-trill-irb-05
Diff:           http://www.ietf.org/rfcdiff?url2=draft-ietf-trill-irb-05

Abstract:
   Currently TRILL protocol provides optimal pair-wise data frame
   forwarding for layer 2 intra-subnet traffic but not for layer 3
   inter-subnet traffic. A centralized gateway solution is typically
   used for layer 3 inter-subnet traffic forwarding but has
   the following issues:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: gayle noble <[email-masked]>
Date: Sun, 26 Apr 2015 19:09:32 -0700

(1) page 3
(extra space after "[Y.1731-2013/G.8013]" before the "and")
(as written)
Performance Management for TRILL is defined in [TRILL-PM]. TRILL 
Performance Management utilizes the [Y.1731-2013/G.8013]  and extends 
it with Loss Measurement and Delay measurement.
===============
(2) page 4
2.1.  Terminology
(not in alphabetical order  and OAM in twice)
(as wrtten)
ECMP - Equal Cost Multipath
MP - Maintenance Point [8021.Q]
MEP - Maintenance End Point [RFC7174] [8021Q] [RFC6371]
MIP - Maintenance Intermediate Point [RFC7174] [8021.Q] [RFC6371]
MA - Maintenance Association [8021.Q] [RFC7174]
MD - Maintenance Domain [8021.Q]
OAM - Operations, Administration, and Maintenance [RFC6291]
TRILL - Transparent Interconnection of Lots of Links [RFC6325]
DMM - Delay Measurement Message
1SL - One-way Synthetic Loss Measurement message
1DM - One-way Delay Measurement message
DMR - Delay Measurement Reply
OAM - Operations, Administration, and Maintenance
PM - Performance Monitoring
SLM - Synthetic Loss Measurement Message
SLR - Synthetic Loss Measurement Reply
TLV - Type, Length, and Value

(should be)
1SL - One-way Synthetic Loss Measurement message
1DM - One-way Delay Measurement message
DMM - Delay Measurement Message
DMR - Delay Measurement Reply
ECMP - Equal Cost Multipath
MA - Maintenance Association [8021.Q] [RFC7174]
MD - Maintenance Domain [8021.Q]
MEP - Maintenance End Point [RFC7174] [8021Q] [RFC6371]
MIP - Maintenance Intermediate Point [RFC7174] [8021.Q] [RFC6371]
MP - Maintenance Point [8021.Q]
OAM - Operations, Administration, and Maintenance [RFC6291]
PM - Performance Monitoring
SLM - Synthetic Loss Measurement Message
SLR - Synthetic Loss Measurement Reply
TLV - Type, Length, and Value
TRILL - Transparent Interconnection of Lots of Links [RFC6325]
=====================
(3) acronyms used and not defined
CFM              Connectivity Fault Management
DM               Delay Measurement
MPLS            Multi-Protocol Label Switching
NETCONF        Network Configuration Protocol
NOV3            Network Virtualization Overlays
PDU              Protocol Data Unit
RPC              Remote Procedure Call
===================
(4) page 5
4  YANG Extensions
second paragraph first sentence
(I think "identify" should be "identity" based on the code snippet 
below the sentence)
(as written)
For technology specific we are re-using identify defined in 
[TRILLOAMYANG] model.
  identity trill {     base goam:technology-types;       description
            "trill type";   }
(So I think it should be)
For technology specific we are re-using identity defined in 
[TRILLOAMYANG] model.
  identity trill {     base goam:technology-types;       description
            "trill type";   }
===============================
(5) page 6
4.5 RPC definitions second paragraph
("defines" is singular "define" is plural. Yeah English is strange, 
so "defines" should be "define")
(as written)
Grouping Statements loss-measurement-configuration-group, 
measurement-timing-group, and delay-measurement-configuration-group 
defines input extension for Delay and Loss measurement RPCs.
(should be written)
Grouping Statements loss-measurement-configuration-group, 
measurement-timing-group, and delay-measurement-configuration-group 
define input extension for Delay and Loss measurement RPCs.
================
(6) page 6
4.5.1 create-loss-measurement
first paragraph first sentence
(Some commas are needed to keep the meaning of the sentence clear.
(as written. As written it could be talking about a "one-way" or a 
"two-way on demand" and  ...)
(as written)
RPC allows scheduling of one-way or two-way on-demand or proactive 
performance monitoring loss measurement session.
(I'd write it)
RPC allows scheduling of one-way or two-way, on-demand or proactive, 
performance monitoring loss measurement session.
======================
(7) page 6
4.5.2 abort-loss-measurement
(I'd make "session" plural as more than one can be aborted at any time)
(as written)
RPC allow aborting of currently running or scheduled loss 
measurement   session.
(I'd write)
RPC allow aborting of currently running or scheduled loss 
measurement   sessions.
===============================
(8) page 7
4.5.3 create-delay-measurement
(I'd add a few commas for clairty)
(as written)
RPC allow scheduling of one-way or two-way on-demand or 
proactive   performance monitoring delay measurement session.
(I'd write)
RPC allow scheduling of one-way or two-way, on-demand or 
proactive,   performance monitoring delay measurement session.
========================
(9) page 7
4.4.4 abort-delay-measurement
(I'd make "session" plural as more than one can be aborted at any time)
(as written)
RPC allow aborting of currently running or scheduled delay measurement session.
(I'd write)
RPC allow aborting of currently running or scheduled delay 
measurement sessions.
=============================
(10) page 7
(I think a line brake is missing ...)
(as written)
5. TRILL PM data hierarchy The complete data hierarchy related to the
    OAM YANG is presented below. The following notations are used within
    the tree and carry the meaning as noted below. Each node is printed
    as:
(What I think was wanted)
5. TRILL PM data hierarchy

The complete data hierarchy related to the OAM YANG is presented 
below. The following notations are used within the tree and carry the 
meaning as noted below. Each node is printed as:
===================
(11) page 7
(here also it would be nice if rpcs was defined)
     -x  for rpcs
====================
(12) page 7
(as code starts I do not see Simplified BSD License text. Is it required?